/* MAIN PAGE ELEMENT STYLES */
html {
  font-family: "Roboto", sans-serif;
  scroll-behavior: smooth;
}
body {
  margin: 0;
}
main {
  padding-left: 12.5rem;
}
section {
  position: relative;
  background: url(/img/bg.png) repeat;
}

/* NAV UL STYLES */

.mobile-top-bar {
  display: none;
}

#mobileNav {
  margin-left: -12.5rem;
  transition: margin-left 0.2s ease-out;
}
#mobileNav .sideUL {
  top: 3.75rem;
}

.active {
  font-weight: bold;
}

.sideUL {
  position: fixed;
  width: 12.5rem;
  top: 0;
  margin: 0;
  height: 100vh;
  background-color: white;
  z-index: 999;
  list-style: none;
  text-align: center;
  padding: 0;
  padding-top: 1.25rem;
  box-shadow: 0 0.125rem 0.3125rem 0 rgba(0, 0, 0, 0.16),
    0 0.125rem 0.625rem 0 rgba(0, 0, 0, 0.12);
}
.sideUL > a > li {
  color: black;
}

.sideUL > a {
  text-decoration: none;
}

#myName {
  font-size: 1.375rem;
  margin-bottom: -0.625rem;
  color: #00a6a6;
  font-weight: normal !important;
}
#myTitle {
  font-size: 0.875rem;
  color: black;
  font-weight: normal !important;
}

#logo {
  border-bottom: 0.0625rem solid #ddd;
}

#logo > img {
  border-radius: 50%;
  height: 9.375rem;
  width: 9.375rem;
  margin: auto;
}

#aboutNav {
  margin-top: 0.625rem;
}

.list-nav {
  text-align: left;
  font-size: 1rem;
  padding: 0.625rem 0;
}
.list-nav > .material-icons {
  position: relative;
  top: 0.3125rem;
  font-size: 1.875rem;
  padding: 0 0.9375rem;
  color: #00a6a6;
}

.sideUL > a > .list-nav:hover {
  border-left-style: solid;
  border-left-width: 0.3125rem;
  border-left-color: #00a6a6;
  transition: 0.3s;
  background-color: #f5f5f5;
}

/* SECTION STYLES */

#sidenav-overlay {
  position: fixed;
  top: 3.75rem;
  left: 0rem;
  right: 0rem;
  height: 120vh;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 997;
  will-change: opacity;
  display: none;
}

#intro {
  background: url(/img/wp603163-florida-wallpapers.jpg) no-repeat center;
  background-size: cover;
}
.overlay {
  background-color: rgba(0, 0, 0, 0.4);
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
}
#intro .container1 {
  left: 4.375rem;
  position: absolute;
}

.container1 {
  color: white;
  text-shadow: 0.0625rem 0.0625rem 0.3125 rgba(0, 0, 0, 0.5);
}

.container1 h2 {
  font-size: 5.5rem;
  font-weight: 100;
}
.container1 p {
  font-size: 9.375rem;
  font-weight: bold;
  background-color: #f58a07;
  line-height: 9.375rem;
  margin-top: 0;
}
.full-height {
  height: 100vh;
}
.section-title {
  background-color: #f58a07;
  font-weight: 200;
  padding: 1.875rem 2.5rem;
  text-transform: uppercase;
  margin-bottom: 3.75rem;
  margin-top: 0;
  color: white;
  font-size: 3rem;
}
.container {
  margin: auto;
  padding: 0 2.5rem;
  color: #333;
}
.container p {
  font-size: 1.75rem;
  line-height: 1.5;
}
blockquote {
  font-size: 2.5rem;
}

blockquote > .material-icons {
  font-size: 1.75rem;
  position: relative;
  bottom: 0.9375rem;
}
.card {
  position: relative;
  background-color: #fff;
  border-radius: 0.125rem;
  box-shadow: 0 0.125rem 0.3125rem 0 rgb(0 0 0 / 16%),
    0 0.125rem 0.625rem 0 rgb(0 0 0 / 12%);
  width: 85%;
  height: 10rem;
  margin: 1rem auto;
}

.card img {
  width: 10rem;
  height: auto;
}

.card-content {
  display: flex;
  height: 10rem;
  flex-wrap: nowrap;
}
.card-content .material-icons {
  font-size: 10rem;
}
.card-content p {
  line-height: 1rem;
  font-size: 1rem;
  font-weight: bold;
}
@media screen and (max-width: 75rem) {
  .end-col {
    display: none;
  }
  .card-content p {
    line-height: 1rem;
    font-size: 1rem;
  }
  .middle-col {
    width: 100%;
  }
  .card {
    width: 100%;
  }
  .card-content {
    width: 100%;
  }
}
.card-content li {
  font-size: 1rem;
  line-height: 1.5rem;
  font-weight: bold;
}
.middle-col {
  margin: 0 2.5rem;
  width: 12.5rem;
}
.end-col {
  margin: 0;
  width: 40rem;
}

.card2 {
  position: relative;
  background-color: #fff;
  border-radius: 0.125rem;
  box-shadow: 0 0.125rem 0.3125rem 0 rgba(0, 0, 0, 0.16),
    0 0.125rem 0.625rem 0 rgba(0, 0, 0, 0.12);
  width: 75%;
  height: 40rem;
  margin: auto;
}

.skill-row {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.individual-skill {
  display: flex;
  flex-direction: column;
  width: 9.375rem;
  align-items: center;
  flex-basis: 20%;
}
.individual-skill p {
  font-size: 1.5rem;
  font-weight: bold;
}
.individual-skill img {
  max-height: 6.25rem;
}
.card2-content {
  padding-top: 2.5rem;
  padding-left: 3.125rem;
  padding-right: 3.125rem;
  font-weight: bold;
}

.current-focus span {
  font-size: 1.875rem;
  float: left;
  font-weight: bold;
  margin-top: 2.5rem;
}
#education > .card2 {
  width: 65%;
  height: 32rem;
  top: 3.75rem;
}
.individual-edu {
  display: flex;
  border-bottom: 0.0625rem dashed #808080;
}
.individual-edu p {
  line-height: 1rem;
}
.year span {
  font-size: 1.75rem;
  color: #00a6a6;
}
.edu-details {
  display: flex;
  flex-direction: column;
  width: 25rem;
}
.year {
  width: 6.25rem;
  margin: auto;
}
.location {
  color: #830a48;
  font-size: 1rem;
}
.school {
  font-size: 1rem;
}
.contact-flex {
  display: flex;
  flex-direction: column;
  margin: auto;
  width: 50%;
}
#contact i {
  font-size: 7.5rem;
  color: #00a6a6;
  margin-bottom: 3.125rem;
}
i span {
  font-size: 1.8rem;
  color: #333;
  padding-left: 2.5rem;
  position: relative;
  bottom: 2.5rem;
  font-family: "Roboto", sans-serif;
  font-weight: 400;
}

/* PROJECT SECTION STYLES */

#projects {
  height: 100vh;
}
.project-content {
  padding: 1.875rem;
}
.project-content > span {
  color: rgb(0, 128, 115);
  font-size: 1.5rem;
  font-weight: 300;
}
.project-content > p {
  font-size: 1.125rem;
  color: black;
  font-weight: normal;
  text-decoration: none;
}

.project-container > a {
  text-decoration: none;
}

.project-container {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}
.project-item {
  background-color: white;
  border-radius: 0.125rem;
  height: 31.25rem;
  width: 25rem;
  box-shadow: rgb(0 0 0 / 16%) 0px 0.125rem 0.3125rem 0px,
    rgb(0 0 0 / 12%) 0px 0.125rem 0.625rem 0px;
}
.project-item-image {
  height: 50%;
  border-bottom: 0.0625rem solid #ddd;
}
.project-item-image > img {
  width: 100%;
}

/* MEDIA QUERIES */

@media screen and (max-width: 62rem) {
  html {
    scroll-padding-top: 3.75rem;
  }
  #desktopNav {
    display: none;
  }
  main {
    padding-left: 0;
    padding-top: 3.75rem;
  }
  .mobile-top-bar {
    display: flex;
    height: 3.75rem;
    width: 100%;
    position: fixed;
    z-index: 2;
    background-color: white;
    box-shadow: 0 0.125rem 0.3125 0 rgba(0, 0, 0, 0.16),
      0 0.125rem 0.625rem 0 rgba(0, 0, 0, 0.12);
    align-items: center;
  }
  .mobile-top-bar i {
    font-size: 2.5rem;
    color: #00a6a6;
  }
  .mobile-top-bar a {
    text-decoration: none;
  }
  .name-title {
    text-align: center;
    line-height: 0.3rem;
    margin: auto;
    max-height: 3.75rem;
  }
  #mobile-name {
    font-size: 1rem;
    color: #00a6a6;
  }
  #mob-title {
    font-size: 0.875rem;
    color: black;
  }
  .mobile-top-bar label {
    position: absolute;
    cursor: pointer;
  }
  .section-title {
    position: relative;
    padding: 0.625rem 1.875rem;
  }
  #aboutNav {
    margin-top: 0;
  }
  i span {
    font-size: 1.875rem;
    padding-left: 1.25rem;
  }
}

@media screen and (max-width: 48rem) {
  .middle-col {
    margin: 0 1.25rem;
  }
  .card img {
    width: 5rem;
    height: 5rem;
  }
  .card-content .material-icons {
    font-size: 5rem;
  }
  .container1 h2 {
    font-size: 3.75rem;
  }
  .container1 p {
    font-size: 6.25rem;
    line-height: 6.25rem;
  }
  blockquote {
    font-size: 1.2rem;
  }
  #about > .container p {
    font-size: 1.25rem;
  }
  #education > .card2 > .card2-content {
    padding-left: 0.625rem;
  }
  i span {
    font-size: 25%;
    bottom: 1.25rem;
  }
  .contact-flex {
    width: 80%;
  }
  #contact i {
    font-size: 4.375rem;
  }
  .section-title {
    margin-bottom: 1.25rem;
  }
  .year span {
    font-size: 1.25rem;
  }
  .school {
    font-size: 0.875rem;
  }
  .card2 {
    width: 85%;
  }
  blockquote > .material-icons {
    font-size: 1rem;
  }
}

@media (max-width: 88.5rem) {
  #projects {
    height: auto;
  }
  .project-item {
    margin: auto;
    margin-bottom: 0.625rem;
    height: 31rem;
  }
  .project-item-image {
    border-bottom: none;
  }
  .project-item-image > img {
    height: 12.5rem;
  }
  .project-container {
    flex-direction: column;
  }
  #projects > .section-title {
    margin-bottom: 0.3125rem;
  }
  #education > .card2 {
    width: 85%;
  }
  .individual-skill img {
    max-height: 3.125rem;
  }
  .card2 {
    height: 40rem;
  }
  .card2-content {
    padding-top: 1.25rem;
    padding-left: 0;
    padding-right: 0;
  }
  .individual-skill {
    flex-basis: 50%;
    width: 6.25rem;
  }
  .individual-skill p {
    font-size: 1rem;
    line-height: 1rem;
  }
  .current-focus span {
    font-size: 1.25rem;
    padding-left: 1.25rem;
  }
}
